[thunderbird-lightning/el6] EL6 has nss-devel, no nss-static

Orion Poplawski orion at fedoraproject.org
Fri Feb 17 18:10:03 UTC 2012


commit 2ddc44be25b3ab557edde9f2eabb4fe06561c526
Author: Orion Poplawski <orion at cora.nwra.com>
Date:   Fri Feb 17 11:10:02 2012 -0700

    EL6 has nss-devel, no nss-static

 mklangsource.sh            |   32 ++++++++++++++++++++++++++++++++
 thunderbird-lightning.spec |    3 ++-
 2 files changed, 34 insertions(+), 1 deletions(-)
---
diff --git a/mklangsource.sh b/mklangsource.sh
new file mode 100755
index 0000000..002ccfd
--- /dev/null
+++ b/mklangsource.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+# This checks out and builds the language sources.  The lightning source needs
+# to already be unpacked
+ver=`awk '/^Version:/ { print $2; exit }' thunderbird-lightning.spec`
+tag=CALENDAR_${ver//./_}_RELEASE
+tag=THUNDERBIRD_3_1_18_RELEASE
+branch=`awk '/^%global *tarballdir/ { print $3; exit }' thunderbird-lightning.spec`
+locales=$PWD/thunderbird-lightning-${ver}/${branch}/calendar/locales/shipped-locales
+if [ ! -f $locales ]
+then
+  echo "ERROR: missing $locales, try fedpkg prep first"
+  exit 1
+fi
+[ ! -d l10n ] && mkdir l10n
+cd l10n
+for lang in $(<$locales)
+do
+  if [ -d $lang ]
+  then
+    pushd $lang
+    hg pull
+    hg update $tag
+    popd
+  else
+    hg clone -u $tag http://hg.mozilla.org/releases/l10n/mozilla-release/$lang
+  fi
+done
+
+# Tar up, minus the mercurial files
+cd ..
+rm -f l10n-${ver}.tar.xz
+tar caf l10n-${ver}.tar.xz --exclude='.hg*'  l10n
diff --git a/thunderbird-lightning.spec b/thunderbird-lightning.spec
index 1509dbe..46bf031 100644
--- a/thunderbird-lightning.spec
+++ b/thunderbird-lightning.spec
@@ -47,7 +47,7 @@ Patch9:         xulrunner-2.0-os2cc.patch
 
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires:  nspr-devel >= %{nspr_version}
-BuildRequires:  nss-static >= %{nss_version}
+BuildRequires:  nss-devel >= %{nss_version}
 BuildRequires:  cairo-devel >= %{cairo_version}
 BuildRequires:  libnotify-devel >= %{libnotify_version}
 BuildRequires:  libpng-devel
@@ -182,6 +182,7 @@ find $RPM_BUILD_ROOT -name \*.so | xargs chmod 0755
 %changelog
 * Fri Feb 17 2012 Orion Poplawski <orion at cora.nwra.com> 1.0-0.43.b3pre
 - Update to thunderbird 3.1.18 source
+- EL6 has nss-devel, no nss-static
 
 * Tue Jun 28 2011 Orion Poplawski <orion at cora.nwra.com> 1.0-0.42.b3pre
 - Update to thunderbird 3.1.11 source


More information about the scm-commits mailing list